pcl::recognition::ORROctree::Node::Data Class Reference

`#include <pcl/recognition/ransac_based/orr_octree.h>`

## Public Member Functions

| Data (int id_x, int id_y, int id_z, int lin_id, void *user_data=NULL)
virtual | ~Data ()
void | addToPoint (float x, float y, float z)
void | computeAveragePoint ()
void | addToNormal (float x, float y, float z)
const float * | getPoint () const
float * | getPoint ()
const float * | getNormal () const
float * | getNormal ()
void | get3dId (int id[3]) const
int | get3dIdX () const
int | get3dIdY () const
int | get3dIdZ () const
int | getLinearId () const
void | setUserData (void *user_data)
void * | getUserData () const
void | insertNeighbor (Node *node)
const std::set< Node * > & | getNeighbors () const

## Protected Attributes

float | n_ [3]
float | p_ [3]
int | id_x_
int | id_y_
int | id_z_
int | lin_id_
int | num_points_
std::set< Node * > | neighbors_
void * | user_data_

## Detailed Description

Definition at line 81 of file orr_octree.h.

## Constructor & Destructor Documentation

pcl::recognition::ORROctree::Node::Data::Data | ( | int | id_x,
|  | int | id_y,
|  | int | id_z,
|  | int | lin_id,
|  | void * | user_data = `NULL`
| ) |  |

inline

Definition at line 84 of file orr_octree.h.

virtual pcl::recognition::ORROctree::Node::Data::~Data | ( |  | ) |

inline

Definition at line 95 of file orr_octree.h.

## Member Function Documentation

void pcl::recognition::ORROctree::Node::Data::addToNormal | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

inline

Definition at line 115 of file orr_octree.h.

void pcl::recognition::ORROctree::Node::Data::addToPoint | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

inline

Definition at line 98 of file orr_octree.h.

void pcl::recognition::ORROctree::Node::Data::computeAveragePoint | ( |  | ) |

inline

Definition at line 105 of file orr_octree.h.

References pcl::recognition::aux::mult3().

void pcl::recognition::ORROctree::Node::Data::get3dId | ( | int | id[3] | ) | const

inline

Definition at line 130 of file orr_octree.h.

int pcl::recognition::ORROctree::Node::Data::get3dIdX | ( |  | ) | const

inline

Definition at line 138 of file orr_octree.h.

int pcl::recognition::ORROctree::Node::Data::get3dIdY | ( |  | ) | const

inline

Definition at line 141 of file orr_octree.h.

int pcl::recognition::ORROctree::Node::Data::get3dIdZ | ( |  | ) | const

inline

Definition at line 144 of file orr_octree.h.

Referenced by pcl::recognition::ORROctreeZProjection::Set::compare_nodes_z().

int pcl::recognition::ORROctree::Node::Data::getLinearId | ( |  | ) | const

inline

Definition at line 147 of file orr_octree.h.

const std::set<Node*>& pcl::recognition::ORROctree::Node::Data::getNeighbors | ( |  | ) | const

inline

Definition at line 159 of file orr_octree.h.

const float* pcl::recognition::ORROctree::Node::Data::getNormal | ( |  | ) | const

inline

Definition at line 124 of file orr_octree.h.

float* pcl::recognition::ORROctree::Node::Data::getNormal | ( |  | ) |

inline

Definition at line 127 of file orr_octree.h.

const float* pcl::recognition::ORROctree::Node::Data::getPoint | ( |  | ) | const

inline

Definition at line 118 of file orr_octree.h.

float* pcl::recognition::ORROctree::Node::Data::getPoint | ( |  | ) |

inline

Definition at line 121 of file orr_octree.h.

void* pcl::recognition::ORROctree::Node::Data::getUserData | ( |  | ) | const

inline

Definition at line 153 of file orr_octree.h.

void pcl::recognition::ORROctree::Node::Data::insertNeighbor | ( | Node * | node | ) |

inline

Definition at line 156 of file orr_octree.h.

Referenced by pcl::recognition::ORROctree::Node::makeNeighbors().

void pcl::recognition::ORROctree::Node::Data::setUserData | ( | void * | user_data | ) |

inline

Definition at line 150 of file orr_octree.h.

## Member Data Documentation

int pcl::recognition::ORROctree::Node::Data::id_x_

protected

Definition at line 163 of file orr_octree.h.

int pcl::recognition::ORROctree::Node::Data::id_y_

protected

Definition at line 163 of file orr_octree.h.

int pcl::recognition::ORROctree::Node::Data::id_z_

protected

Definition at line 163 of file orr_octree.h.

int pcl::recognition::ORROctree::Node::Data::lin_id_

protected

Definition at line 163 of file orr_octree.h.

float pcl::recognition::ORROctree::Node::Data::n_[3]

protected

Definition at line 162 of file orr_octree.h.

std::set<Node*> pcl::recognition::ORROctree::Node::Data::neighbors_

protected

Definition at line 164 of file orr_octree.h.

int pcl::recognition::ORROctree::Node::Data::num_points_

protected

Definition at line 163 of file orr_octree.h.

float pcl::recognition::ORROctree::Node::Data::p_[3]

protected

Definition at line 162 of file orr_octree.h.

void* pcl::recognition::ORROctree::Node::Data::user_data_

protected

Definition at line 165 of file orr_octree.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/recognition/include/pcl/recognition/ransac_based/orr_octree.h